﻿package  {
	
	import flash.display.MovieClip;
	import flash.ui.Multitouch;
	import flash.events.TransformGestureEvent;
	import flash.ui.MultitouchInputMode;
	
	
	public class GestureExample extends MovieClip {
		
		
		public function GestureExample() {
			init();
		}
		
		private function init():void
		{
			if(Multitouch.supportsGestureEvents)
			{
				setupGestures();
			} else {
				trace("it no worky");
			}
		}
		
		private function setupGestures():void
		{
			Multitouch.inputMode = MultitouchInputMode.GESTURE;
			
			elevator.addEventListener(TransformGestureEvent.GESTURE_ROTATE, handleGestures);
			elevator.addEventListener(TransformGestureEvent.GESTURE_ZOOM, handleGestures);
		}
		
		private function handleGestures(event:TransformGestureEvent):void
		{
			if(event.type == "gestureRotate")
			{
				elevator.rotation += event.rotation;
			} else {
				elevator.scaleX *= event.scaleX;
				elevator.scaleY *= event.scaleY;
			}
		}
	}
	
}
